%define major 0
%define libname %mklibname %{name} %{major}
%define libnamedev %mklibname %{name} -d

Summary: OpenType text shaping engine
Name:    harfbuzz
Version: 1.3.2
Release: %mkrel 5
License: Old MIT
Group:   Development/Other
Source:  http://www.freedesktop.org/software/harfbuzz/release/%{name}-%{version}.tar.bz2
URL:     http://www.freedesktop.org/wiki/Software/HarfBuzz
BuildRequires: pkgconfig(cairo) >= 1.8.0
BuildRequires: pkgconfig(cairo-ft)
BuildRequires: pkgconfig(freetype2) >= 2.3.8
BuildRequires: pkgconfig(glib-2.0) >= 2.16
BuildRequires: pkgconfig(gobject-2.0)
#BuildRequires: pkgconfig(icu-le) 	 
BuildRequires: pkgconfig(icu-uc)
BuildRequires: pkgconfig(graphite2)
BuildRequires: pkgconfig(gthread-2.0)
BuildRequires: pkgconfig(graphite2)
BuildRequires: pkgconfig(gobject-introspection-1.0)
BuildRequires: gtk-doc

%description
HarfBuzz is an OpenType text shaping engine.
There are two HarfBuzz code trees in existence today.

%package -n %{libname}
Summary: Libraries for the %{name} package
Group:   Development/Other

%description -n %{libname}
Libraries for %{name}

%package -n %{libnamedev}
Summary:  Headers and development libraries from %{name}
Group:    Development/Other
Requires: %{libname} = %{version}-%{release}
Provides: lib%{name}-devel = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}

%description -n %{libnamedev}
%{name} development headers and libraries.

%prep
%setup -q
%autopatch -p1

%build
%configure2_5x --disable-static --with-graphite2
%make_build

%install
%make_install

find %{buildroot} -name *.la -delete

%check
make check

%files
%{_bindir}/*

%files -n %{libname}
%doc AUTHORS README
%{_libdir}/*.so.%{major}{,.*}

%files -n %{libnamedev}
%doc %{_datadir}/gtk-doc
%{_libdir}/pkgconfig/*
%{_libdir}/*.so
%{_includedir}/*


%changelog
* Fri Mar 17 2017 mrambo3501 <mrambo3501> 1.3.2-5.mga6
+ Revision: 1093299
- remove BR for icu-le that is no longer provided by icu58

  + tv <tv>
    - readd "uneeded" BR that do are needed

* Thu Mar 16 2017 mrambo3501 <mrambo3501> 1.3.2-3.mga6
+ Revision: 1093201
- remove two unneeded BuildRequires for icu
- Rebuild for icu-58.2

* Wed Oct 26 2016 luigiwalser <luigiwalser> 1.3.2-1.mga6
+ Revision: 1063532
- 1.3.2

* Sat Sep 10 2016 luigiwalser <luigiwalser> 1.3.1-1.mga6
+ Revision: 1051248
- 1.3.1

* Thu Aug 11 2016 luigiwalser <luigiwalser> 1.3.0-1.mga6
+ Revision: 1045491
- 1.3.0

* Fri May 13 2016 shlomif <shlomif> 1.2.7-2.mga6
+ Revision: 1015046
- Rebuild due to the new ICU

* Fri May 06 2016 luigiwalser <luigiwalser> 1.2.7-1.mga6
+ Revision: 1009941
- 1.2.7

* Mon Jan 25 2016 luigiwalser <luigiwalser> 1.1.3-1.mga6
+ Revision: 927149
- 1.1.3

* Fri Jan 01 2016 luigiwalser <luigiwalser> 1.1.2-2.mga6
+ Revision: 917848
- rebuild for icu

* Thu Dec 31 2015 luigiwalser <luigiwalser> 1.1.2-1.mga6
+ Revision: 917451
- 1.1.2

* Mon Nov 23 2015 tv <tv> 1.1.0-1.mga6
+ Revision: 905102
- new release

* Fri Oct 09 2015 ovitters <ovitters> 1.0.4-1.mga6
+ Revision: 888517
- new version 1.0.4

* Fri Jul 24 2015 cjw <cjw> 0.9.41-2.mga6
+ Revision: 856743
- rebuild for icu 55

* Sun Jun 21 2015 luigiwalser <luigiwalser> 0.9.41-1.mga6
+ Revision: 837162
- 0.9.41

* Tue Jan 27 2015 luigiwalser <luigiwalser> 0.9.36-1.mga5
+ Revision: 812511
- 0.9.36

* Wed Oct 15 2014 umeabot <umeabot> 0.9.35-3.mga5
+ Revision: 745190
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.9.35-2.mga5
+ Revision: 680083
- Mageia 5 Mass Rebuild

* Sun Aug 17 2014 luigiwalser <luigiwalser> 0.9.35-1.mga5
+ Revision: 664497
- 0.9.35

* Fri Aug 15 2014 luigiwalser <luigiwalser> 0.9.34-1.mga5
+ Revision: 662888
- 0.9.34

* Thu Jul 31 2014 luigiwalser <luigiwalser> 0.9.33-1.mga5
+ Revision: 658812
- 0.9.33

* Thu Jul 24 2014 luigiwalser <luigiwalser> 0.9.32-1.mga5
+ Revision: 656377
- 0.9.32

* Fri Jul 18 2014 luigiwalser <luigiwalser> 0.9.30-1.mga5
+ Revision: 653540
- 0.9.30

* Thu Jun 05 2014 luigiwalser <luigiwalser> 0.9.29-1.mga5
+ Revision: 633284
- 0.9.29

* Fri May 09 2014 luigiwalser <luigiwalser> 0.9.28-1.mga5
+ Revision: 621585
- 0.9.28

* Sat Apr 05 2014 wally <wally> 0.9.27-2.mga5
+ Revision: 611796
- rebuild for new icu

* Sat Mar 22 2014 luigiwalser <luigiwalser> 0.9.27-1.mga5
+ Revision: 606609
- 0.9.27

* Thu Feb 06 2014 tv <tv> 0.9.26-1.mga5
+ Revision: 584694
- new release

* Mon Oct 21 2013 umeabot <umeabot> 0.9.22-2.mga4
+ Revision: 540532
- Mageia 4 Mass Rebuild

* Wed Oct 09 2013 luigiwalser <luigiwalser> 0.9.22-1.mga4
+ Revision: 493816
- 0.9.22

* Thu Sep 26 2013 fwang <fwang> 0.9.21-3.mga4
+ Revision: 486774
- rebuild for icu 52

* Sun Sep 22 2013 fwang <fwang> 0.9.21-2.mga4
+ Revision: 483284
- build gir

* Sun Sep 22 2013 fwang <fwang> 0.9.21-1.mga4
+ Revision: 483279
- new version 0.9.21

  + luigiwalser <luigiwalser>
    - 0.9.20
    - devel package now includes API documentation (BR gtk-doc)

* Sun Jul 21 2013 luigiwalser <luigiwalser> 0.9.19-1.mga4
+ Revision: 456698
- 0.9.19

* Mon Jun 24 2013 tv <tv> 0.9.18-2.mga4
+ Revision: 446232
- enable graphite2 support

* Mon Jun 24 2013 fwang <fwang> 0.9.18-1.mga4
+ Revision: 446105
- new version 0.9.18

* Sun May 26 2013 fwang <fwang> 0.9.17-2.mga4
+ Revision: 427918
- rebuild for new icu

* Sat May 25 2013 tv <tv> 0.9.17-1.mga4
+ Revision: 427329
- new release

* Thu Jan 31 2013 luigiwalser <luigiwalser> 0.9.10-3.mga3
+ Revision: 393747
- add make check

* Sat Jan 12 2013 umeabot <umeabot> 0.9.10-2.mga3
+ Revision: 353113
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 luigiwalser <luigiwalser> 0.9.10-1.mga3
+ Revision: 338952
- 0.9.10

* Fri Dec 07 2012 fwang <fwang> 0.9.9-1.mga3
+ Revision: 327903
- new verrsion 0.9.9

* Tue Nov 20 2012 fwang <fwang> 0.9.6-1.mga3
+ Revision: 319693
- drop merged patch
- new version 0.9.6

* Fri Nov 16 2012 fwang <fwang> 0.9.5-2.mga3
+ Revision: 318593
- rebuild for new icu

* Fri Nov 09 2012 fwang <fwang> 0.9.5-1.mga3
+ Revision: 316691
- add upstream patch to use ICU LayoutEngine C API
- more linkage
- apply patches
- fix linkage
- new version 0.9.5

* Fri Sep 14 2012 trem <trem> 0.9.4-1.mga3
+ Revision: 293969
- add some buildrequires (glib2-devel,cairo-devel,icu-devel,freetype-devel)
- imported package harfbuzz

